var regImg = /.+\.(?:gif|jpg|png|jpeg|bmp)$/i;
var oPopup = window.createPopup();
var oPopBody = oPopup.document.body;
window.attachEvent('onload', init);

function init() {
  oPopBody.style.backgroundColor = "lightyellow";
  oPopBody.style.border = "solid black 1px";
  for (var i = 0; i < document.links.length; i++) {
    if (!document.links[i].href.match(regImg)) continue;
    document.links[i].attachEvent('onmouseover', showThumb);
    document.links[i].attachEvent('onmouseout', hideThumb);
  }
  for (var i = 0; i < document.links.length; i++) {
    checkAvailLink(document.links[i]);
  }
}

function showThumb() {
  var elem = window.event.srcElement;
  var x = elem.offsetLeft + elem.offsetWidth + 10 - elem.offsetParent.scrollLeft;
  var y = elem.offsetTop + elem.offsetHeight / 2 - 25 - elem.offsetParent.scrollTop;
  if (x + 50 > elem.offsetParent.offsetWidth)
    x = elem.offsetParent.offsetWidth - 50;
  if (oPopBody.hasChildNodes())
    oPopBody.removeChild(oPopBody.firstChild);
  var tag = "<img width=48 height=48 src='" + elem.href + "' onerror='this.src=\"./error.gif\"'>";
  var img = oPopup.document.createElement(tag);
  oPopBody.insertBefore(img, null);
  oPopup.show(x, y, 50, 50, document.body);
}

function hideThumb() {
  oPopup.hide();
}

function writeInfo(id, s) {
  var i;
  var arr = document.getElementsByTagName('SPAN');
  try {
    for (i = 0; i < arr.length; i++) {
      if (arr[i].id != "" && arr[i].id == id)
        arr[i].innerText = s;
    }
  } catch (e) {}
}

function checkAvailLink(obj) {
  if (obj == null) return;
  var req = new ActiveXObject("Microsoft.XMLHTTP");
  if (req == null) return;
  var num;
  req.onreadystatechange = function() {
    if (req.readyState == 4) {
      if (req.status == 404 || req.status == 503 || req.status >= 12000) {
        obj.style.color = "#808080";
      }
/*
 else if (req.status == 200) {
        num = req.getResponseHeader('Content-Length');
        num = Math.round((num / 1024) * 100) / 100;
        writeInfo(obj.id, "(" + num + " KB)");
      } else {
        writeInfo(obj.id, "(status:"+req.status+")");
      }
*/
      req = null;
    }
  }
  var url = obj.href;
  var pos = url.indexOf("#");
  if (pos > 0) url = url.substr(0, pos);
  try {
    req.open("HEAD", url, true);
    req.send(null);
  } catch(e) {
    req = null;
  }
}
